## org.eclipse.amp.amf.adata
Interface DataFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  DataFactoryImpl

    public interface DataFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `DataPackage`

Field Summary
`static DataFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`Catalog` `createCatalog()` Returns a new object of class 'Catalog'.
`DataPoint` `createDataPoint()` Returns a new object of class 'Point'.
`Measurement` `createMeasurement()` Returns a new object of class 'Measurement'.
`Parameter` `createParameter()` Returns a new object of class 'Parameter'.
`ParameterSet` `createParameterSet()` Returns a new object of class 'Parameter Set'.
`Run` `createRun()` Returns a new object of class 'Run'.
`DataPackage` `getDataPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final DataFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createRun

    Run createRun()

  Returns a new object of class 'Run'.

  Returns:
    a new object of class 'Run'.

### createParameter

    Parameter createParameter()

  Returns a new object of class 'Parameter'.

  Returns:
    a new object of class 'Parameter'.

### createDataPoint

    DataPoint createDataPoint()

  Returns a new object of class 'Point'.

  Returns:
    a new object of class 'Point'.

### createCatalog

    Catalog createCatalog()

  Returns a new object of class 'Catalog'.

  Returns:
    a new object of class 'Catalog'.

### createMeasurement

    Measurement createMeasurement()

  Returns a new object of class 'Measurement'.

  Returns:
    a new object of class 'Measurement'.

### createParameterSet

    ParameterSet createParameterSet()

  Returns a new object of class 'Parameter Set'.

  Returns:
    a new object of class 'Parameter Set'.

### getDataPackage

    DataPackage getDataPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.